package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 可打卡/已打卡 可选服务单元-sop信息
 * @Author: CaoZixuan
 * @Date: 2023-10-19
 */
public class DingSopInfo {
    @ApiModelProperty("服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceUnitId;

    @ApiModelProperty("服务单元名称")
    private String serviceUnitName;

    @ApiModelProperty("sop信息")
    private List<SopInfoResult> sopInfo;

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }

    public String getServiceUnitName() {
        return serviceUnitName;
    }

    public void setServiceUnitName(String serviceUnitName) {
        this.serviceUnitName = serviceUnitName;
    }

    public List<SopInfoResult> getSopInfo() {
        return sopInfo;
    }

    public void setSopInfo(List<SopInfoResult> sopInfo) {
        this.sopInfo = sopInfo;
    }
}
